<%--
/**
 * AdminPrintTestConnection.jsp
 * JSP Page which is calls when <Test Connection> button on Print Feature Configuration is pressed.
 */
--%>
<html>
<%@ page import="com.xerox.docushare.impl.server.encodeUtility" %>
<%@ page import="com.xerox.docushare.printemail.constants.PrintEmailConstants" %>
<%@ page import="com.xerox.docushare.printemail.util.SMTPUtil" %>
<%@ page import="java.net.URLEncoder" %>
<%@ include file="includes/sessionPageMethods.jsp" %>
<%@ include file="../jsp/common/start.jsp" %>
<%@ include file="includes/includeL10N.jsp" %>

<%
String sDisplayMsg= "";

try {
    if (dssession == null) {
        out.println(printEmailMessageObj.getMessageEscValue("printemail.dssession_null"));
        return;
    }

    String sPrintSMTPServer = (String)session.getAttribute("attrPrintSMTPServer");
    String sPrintSMTPServerPort = (String)session.getAttribute("attrPrintSMTPServerPort");
    String sPrintSMTPUsername = (String)session.getAttribute("attrPrintSMTPUsername");

    encodeUtility encU = new encodeUtility() ;
    String sPrintSMTPPassword = encU.decodeThis((String)session.getAttribute("attrPrintSMTPPassword"));


    SMTPUtil SMTPUtilObject = new SMTPUtil("PrintFeature", sPrintSMTPServer, sPrintSMTPServerPort, sPrintSMTPUsername, sPrintSMTPPassword);
    sDisplayMsg = SMTPUtilObject.testConnection(request, dssession);    
    String encodedUrl = response.encodeRedirectURL( "AdminPrintConfiguration.jsp?sTestConnectionMsg=" + URLEncoder.encode(sDisplayMsg,"UTF-8") + "&sTestConnectionPass=" + SMTPUtilObject.isTestConnectionSuccessful());
    response.sendRedirect( encodedUrl ) ;
    

} catch(Exception e) {
        PrintEmailConstants.getLogger().error("AdminPrintTestConnection.jsp: Caught exception.", e);
}
%>

<%@ include file="../jsp/common/end.jsp" %>
</html>