<%/**
   * Copyright: Copyright (c) 2012
   * Company: Xerox Docushare FXSGSC
   * @author Lee Chii Haur
   * @version 1.0
**/ %>
<%@page import="java.util.Locale"%>
<%@page import="java.util.ArrayList"%>
<%@page import="java.util.List"%>
<%@page import="jp.co.fujixerox.docushare.amber.VDFSession"%>
<%@page import="java.io.File"%>
<%@page import="jp.co.fujixerox.docushare.amber.ConfigManager"%>
<%@page import="jp.co.fujixerox.docushare.amber.MyWebRequest"%>
<%@page import="jp.co.fujixerox.docushare.amber.WebRequest"%>
<%@page import="jp.co.fujixerox.docushare.amber.vdf.VDFManager"%>
<%@page import="jp.co.fujixerox.docushare.amber.config.DSConfig"%>
<%@page import="jp.co.fujixerox.docushare.amber.DSSessionManager"%>
<%@page import="jp.co.fujixerox.docushare.amber.SessionDataManager"%>
<%@page import="jp.co.fujixerox.docushare.amber.HandleDataSet"%>
<%@page import="com.xerox.docushare.object.DSCollection"%>
<%@page import="com.xerox.docushare.object.DSUser"%>

<%@ include file="includes/sessionPageMethods.jsp" %>
<%@ include file="../jsp/common/start.jsp" %>

<%
   if (dssession == null) {
    out.println("DSSession is null");
    return;
  }
	
  String[] args = new String[] {"handle", "collection"};
  // call to updateMapsAndCookie changed in 4.0.1
  String newId = DSSessionManager.getInstance().updateMapsAndCookie(request, response, mDSSession, mDSSession.getCredential(), true);
  
  DSConfig dsconfig = ConfigManager.getInstance().getDSConfig();
  String templatesPath = dsconfig.getTemplatesPath();
  VDFManager vdfManager = new VDFManager(new File(templatesPath), new String[] {"local", "system", "error"} );
  WebRequest wsession = MyWebRequest.createWebRequest(getServletConfig().getServletContext(),
  	request.getContentType(), newId, mDSSession, request, response,"EmailDetail", args, request.getQueryString(), vdfManager, dssession.getLocale());  
  VDFSession vdfSessionObj = wsession.getVDFSession();
  
  String containerHandle = request.getParameter( "RedirectToHandle" );
  String application1 = request.getParameter("application");
  String caller = request.getParameter( "ReturnTo" );
  String theHandleString = request.getParameter( "RedirectToHandle" );
  StringBuffer target = new StringBuffer(wsession.getCommandBase());

  target.append("EmailDetail");
	
  List<DSHandle> childrenList = new ArrayList<DSHandle>();	
 
  String total_cbx = request.getParameter("total_cbx");
  int maxCheckboxes = 0;
  if (total_cbx != null)
	maxCheckboxes = Integer.parseInt(total_cbx) + 1;  // the total number of checkboxes on the screen, not the number checked.

  int totalNumberChecked = 0;
  for (int i = 0; i < maxCheckboxes; i++) {
	// The handle for each line item is stored in a hidden parameter named cbxn_obj
	// where n = the line number on the page.
	String handleString = request.getParameter("cbx" + Integer.toString(i) + "_obj");
	if (handleString == null) break; // we hit this when the pageSize < total
	DSHandle dshandle = new DSHandle(handleString);
	if (request.getParameter("cbx" + Integer.toString(i)) != null) {
	  childrenList.add(new DSHandle(handleString));
	  totalNumberChecked++;
	}
  }

  target.append("/");
  	
  if(total_cbx != null && totalNumberChecked == 0)
	target.append("X");
  else
	target.append(Integer.toString(totalNumberChecked));

  target.append("/");	
  if(theHandleString != null)
	target.append(theHandleString);

  target.append("/");
  target.append(caller);
  	
  HandleDataSet dataset = new HandleDataSet(childrenList);
  String key = HandleDataSet.createKey();
  SessionDataManager.getInstance().put(wsession.getId(), key, dataset);
  
  //keep select object in session
  if(!childrenList.isEmpty()){
	DSHandle[] handleArrayObj = (DSHandle[])childrenList.toArray(new DSHandle[0]);
	session.setAttribute("handleArrayObj",handleArrayObj);

  }

  DSUser loginUser = (DSUser) dssession.getObject(new DSHandle(user));

  vdfSessionObj.set_value("ds_PrintEmail_to",loginUser.get("ds_PrintEmail_to"));
  vdfSessionObj.set_value("ds_PrintEmail_cc",loginUser.get("ds_PrintEmail_cc"));
  vdfSessionObj.set_value("ds_PrintEmail_bcc",loginUser.get("ds_PrintEmail_bcc"));
	
  wsession.sendRedirect(target.toString());
%>


<%@ include file="../jsp/common/end.jsp" %>
  
